Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.model
Class SingleXmlCells

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xssf.model.SingleXmlCells

    public class SingleXmlCells

extends POIXMLDocumentPart

This class implements the Single Cell Tables Part (Open Office XML Part 4: chapter 3.5.2)

Author:
  Roberto Manicardi

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`SingleXmlCells()`
`SingleXmlCells(PackagePart part, PackageRelationship rel)`

Method Summary
`java.util.List` | `getAllSimpleXmlCell()`
`org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSingleXmlCells` | `getCTSingleXMLCells()`
`XSSFSheet` | `getXSSFSheet()`
`void` | `readFrom(java.io.InputStream is)`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleXmlCells

    public SingleXmlCells()

### SingleXmlCells

    public SingleXmlCells(PackagePart part,
                          PackageRelationship rel)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readFrom

    public void readFrom(java.io.InputStream is)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getXSSFSheet

    public XSSFSheet getXSSFSheet()

### getCTSingleXMLCells

    public org.openxmlformats.schemas.spreadsheetml.x2006.main.CTSingleXmlCells getCTSingleXMLCells()

### getAllSimpleXmlCell

    public java.util.List getAllSimpleXmlCell()

  Returns:
    all the SimpleXmlCell contained in this SingleXmlCells element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD